Bug 1883977 - Review Request: llmnrd - Link-Local Multicast Resolution Daemon
Summary: Review Request: llmnrd - Link-Local Multicast Resolution Daemon
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-30 16:26 UTC by Petr Menšík
Modified: 2021-08-21 15:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-21 15:41:35 UTC
Type: ---
pzhukov: fedora-review+


Attachments (Terms of Use)

Description Petr Menšík 2020-09-30 16:26:34 UTC
Spec URL: https://raw.githubusercontent.com/pemensik/llmnrd/fedora/fedora/llmnrd.spec
SRPM URL: https://raw.githubusercontent.com/pemensik/llmnrd/fedora/fedora/llmnrd-0.7-1.fc34.src.rpm
Description: llmnrd is a daemon implementing the Link-Local Multicast Name Resolution (LLMNR) protocol according to RFC 4795.
Fedora Account System Username: pemensik

Comment 1 Pavel Zhukov 2020-10-01 18:27:47 UTC
I'll review it.

Comment 2 Pavel Zhukov 2020-10-01 19:32:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- systemd_post is invoked in %post, systemd_preun in %preun, and
  systemd_postun in %postun for Systemd service files.
  Note: Systemd service file(s) in llmnrd
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Scriptlets/#_scriptlets

<<<!!! This is not an issue but bug in fedora-review package. It checks for .service suffix which is not mandatory.  >>>

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU Lesser General Public License", "Unknown or generated",
     "GPL (v2)", "GNU General Public License (v2)". 6 files have unknown
     license. Detailed output of licensecheck in /home/pavel/llmnrd/review-
     llmnrd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: llmnrd-0.7-1.fc34.x86_64.rpm
          llmnrd-debuginfo-0.7-1.fc34.x86_64.rpm
          llmnrd-debugsource-0.7-1.fc34.x86_64.rpm
          llmnrd-0.7-1.fc34.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: llmnrd-debuginfo-0.7-1.fc34.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
llmnrd.x86_64: W: invalid-url URL: https://github.com/tklauser/llmnrd <urlopen error [Errno -3] Temporary failure in name resolution>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
llmnrd-debuginfo.x86_64: W: invalid-url URL: https://github.com/tklauser/llmnrd <urlopen error [Errno -3] Temporary failure in name resolution>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
llmnrd-debugsource.x86_64: W: invalid-url URL: https://github.com/tklauser/llmnrd <urlopen error [Errno -3] Temporary failure in name resolution>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/tklauser/llmnrd/archive/v0.7.tar.gz#/llmnrd-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : c88086b5a926e8801154a0119de6a497a3891581a0219a0ef8d9d8e98556eb9b
  CHECKSUM(SHA256) upstream package : c88086b5a926e8801154a0119de6a497a3891581a0219a0ef8d9d8e98556eb9b


Requires
--------
llmnrd (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    rtld(GNU_HASH)
    systemd

llmnrd-debuginfo (rpmlib, GLIBC filtered):

llmnrd-debugsource (rpmlib, GLIBC filtered):



Provides
--------
llmnrd:
    llmnrd
    llmnrd(x86-64)

llmnrd-debuginfo:
    debuginfo(build-id)
    llmnrd-debuginfo
    llmnrd-debuginfo(x86-64)

llmnrd-debugsource:
    llmnrd-debugsource
    llmnrd-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -n llmnrd
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: Haskell, fonts, R, Perl, Java, PHP, Ocaml, SugarActivity, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Pavel Zhukov 2020-10-01 19:33:15 UTC
Reported issue can be ignored (or better bug against fedora-review reported).

LGTM!

Comment 4 Gwyn Ciesla 2020-10-02 13:03:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/llmnrd

Comment 5 Petr Menšík 2020-10-05 09:38:33 UTC
Built in rawhide.

Waiting for stable branches:
https://pagure.io/releng/fedora-scm-requests/issue/29359
https://pagure.io/releng/fedora-scm-requests/issue/29360

Comment 6 Mattia Verga 2021-08-21 15:41:35 UTC
Package is available in repos.


Note You need to log in before you can comment on or make changes to this bug.